CREATE OR REPLACE PROCEDURE sp_var_riesgos
(
i_bcalind NUMBER ,
i_chcompania CHAR ,
i_chclase_nomina CHAR ,
i_nid_calendario  NUMBER,
i_chtipo_nomina CHAR ,
i_sianio INTEGER ,
i_tiperiodo INTEGER ,
i_dfecha_termino  DATE,
i_chtrabajador CHAR ,
i_siconcepto INTEGER ,
i_chreferencia CHAR ,
i_sisequencia INTEGER ,
i_vchsub_var1 VARCHAR2 ,
i_chsub_var2 VARCHAR2 ,
i_mvar_value IN OUT NUMBER,
i_chvar_value IN OUT VARCHAR2
)
AS
BEGIN


/* Declaración de variables locales */

-- Recupera % de Riesgo
i_chvar_value := null;
i_mvar_value := fn_fco_tarifa_ARP(i_chcompania,i_chtrabajador);

RETURN;
END;
/
CREATE PUBLIC SYNONYM sp_var_riesgos FOR ADAM.sp_var_riesgos;
GRANT EXECUTE ON sp_var_riesgos TO adama;
